# Class DoublyLinkedListNode<E>

data-structure-typed

#### Author

Tyler Zeng

#### Copyright

Copyright (c) 2022 Tyler Zeng zrwusa@gmail.com

#### License

MIT License

#### Type Parameters

- #### E = any

#### Hierarchy

- DoublyLinkedListNode

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:8

#####
Index

### Constructors

constructor

### Properties

_next
_prev
_val

### Accessors

next
prev
val

## Constructors

### constructor

- new DoublyLinkedListNode<E>(val): DoublyLinkedListNode<E>

- The constructor function initializes the value, next, and previous properties of an object.

  #### Type Parameters

  - #### E = any

  #### Parameters

  - ##### val: E

    The "val" parameter is the value that will be stored in the node. It can be of any data type, as it is defined as a generic type "E".

  #### Returns DoublyLinkedListNode<E>

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:14

## Properties

### `Private` _next

_next: null | DoublyLinkedListNode<E>

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:30

### `Private` _prev

_prev: null | DoublyLinkedListNode<E>

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:40

### `Private` _val

_val: E

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:20

## Accessors

### next

- get next(): null | DoublyLinkedListNode<E>

- #### Returns null | DoublyLinkedListNode<E>

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:32
- set next(value): void

- #### Parameters

  - ##### value: null | DoublyLinkedListNode<E>

  #### Returns void

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:36

### prev

- get prev(): null | DoublyLinkedListNode<E>

- #### Returns null | DoublyLinkedListNode<E>

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:42
- set prev(value): void

- #### Parameters

  - ##### value: null | DoublyLinkedListNode<E>

  #### Returns void

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:46

### val

- get val(): E

- #### Returns E

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:22
- set val(value): void

- #### Parameters

  - ##### value: E

  #### Returns void

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:26

Generated using TypeDoc